/*
    DAAC_FilenameUtilities.h

    Copyright 2008,2009 Josh Freeman
    http://www.twilightedge.com

    This file is part of DAA Converter v1.3 for Mac OS X.

    DAA Converter is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#import <Cocoa/Cocoa.h>


NSArray *DAAFileExtensions(void);

bool IsDAAFilename(NSString *filename);

NSString *PrimaryDAAFilepathForDAAFilepath(NSString *daaFilepath);

NSString *ISOFilenameForDAAFilename(NSString *daaFilename);

NSString *PathToNonexistentFileInDirectoryWithPreferredFilename(NSString *directoryPath,
                                                                NSString *filename);


